2010-05-11  Lluis Sanchez Gual  <lluis@novell.com>

	* VS2003ProjectFileFormat.cs: Remove option of converting to
	  MD 1.0 format.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* prj2make-sharp-lib.addin.xml: Bumped MD version.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* prj2make-sharp-lib.csproj:
	* VS2003ProjectFileFormat.cs:
	* prj2make-sharp-lib.addin.xml: Merged MD.Projects into
	  MD.Core, and MD.Projects.Gui, MD.Core.Gui and MD.Components
	  into MD.Ide.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Remove asp.net dependency.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* prj2make-sharp-lib.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* prj2make-sharp-lib.csproj: Flush.

2009-10-09  Mike Krüger  <mkrueger@novell.com>

	* MsPrjHelper.cs: Track namespace renamings.

2009-10-08  Ankit Jain  <jankit@novell.com>

	* prj2make-sharp-lib.csproj: Use \ instead of '/' in the Import.

2009-10-08  Ankit Jain  <jankit@novell.com>

	* prj2make-sharp-lib.csproj: Add md.targets .

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* prj2make-sharp-lib.addin.xml: Update license.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* prj2make-sharp-lib.addin.xml: Bump MD version.

2009-09-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MsPrjHelper.cs: Use the new DotNetAssemblyProject class
	  instead of DotNetProject, which is now abstract.

2009-09-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MsPrjHelper.cs: Create default configurations for the
	  imported solution. Fixes bug #504600 - Rebuild solution
	  doesn't trigger a real build.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* prj2make-sharp-lib.csproj: Updated dependencies. We now
	  depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-20  Lluis Sanchez Gual  <lluis@novell.com>

	* CsprojInfo.cs:
	* MsPrjHelper.cs:
	* VS2003ProjectFileFormat.cs: Make sure the project has the
	  2003 format before trying to import it. Properly import
	  assembly references.

2009-08-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MsPrjHelper.cs: Use the new AssemblyContext class to query
	  and resolve assemblies.

2009-08-11  Lluis Sanchez Gual  <lluis@novell.com>

	* VS2003ProjectFileFormat.cs: Add support for reading vs2003
	  projects and solutions when not running in the IDE.

2009-08-10  Lluis Sanchez Gual  <lluis@novell.com>

	* prj2make-sharp-lib.csproj: Don't make local copies of
	  project references.

2009-07-03  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* prj2make-sharp-lib.csproj: Added MonoDevelop.Refactoring
	  reference. (otherwise build would break)

2009-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MsPrjHelper.cs: Track assembly lookup APIs.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* VS2003ProjectFileFormat.cs: Use the new FilePath class for
	  handling file and directory paths.

2009-05-01  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* prj2make-sharp-lib.csproj:
	* prj2make-sharp-lib.addin.xml:
	* MSBuildProjectServiceExtension.cs:
	* SilverlightMSBuildProjectExtension.cs: Remove unused code
	  and extensions.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* prj2make-sharp-lib.csproj: don't require specific
	gtk-sharp version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* prj2make-sharp-lib.addin.xml: Bump MD version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MsPrjHelper.cs: Add support for multiple target runtimes.

2009-03-13  Michael Hutchinson  <mhutchinson@novell.com>

	* prj2make-sharp-lib.csproj: Don't local-copy project refs.

2009-03-13  Mike Krüger  <mkrueger@novell.com>

	* prj2make-sharp-lib.csproj: Moved text editor to core

2009-03-10  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* prj2make-sharp-lib.csproj: Monodevelop changed the reference
	  a bit.

2009-03-10  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* prj2make-sharp-lib.csproj: Updated nrefactory references.

2009-02-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MsPrjHelper.cs: Track api changes.

2009-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* prj2make-sharp-lib.csproj: Exorcise more unwanted local
	  copy.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* prj2make-sharp-lib.mdp:
	* prj2make-sharp-lib.csproj: Migrated to MSBuild file format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* prj2make-sharp-lib.addin.xml: Bump MD version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* prj2make-sharp-lib.mdp: Fix target gtk# version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* prj2make-sharp-lib.mdp: Flush.

2009-01-30  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* prj2make-sharp-lib.mdp: Fixed project (didn't compile without
	mono.texteditor reference on my system).

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* prj2make-sharp-lib.mdp: Flush project format changes.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* prj2make-sharp-lib.mdp: All projects now require fx 3.5.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* VS2003ProjectFileFormat.cs: Track API changes.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* prj2make-sharp-lib.mdp: Don't require a specific version of
	Mono.Addins.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* PrjxInfo.cs:
	* Makefile.am:
	* PrjHelper.cs:
	* MsPrjHelper.cs:
	* MdPrjHelper.cs:
	* sharp_d_prjx.cs:
	* sharp_d_cmbx.cs:
	* prj2make-sharp-lib.mdp:
	* VS2003ProjectFileFormat.cs: Removed a bunch of unused code and fixed
	some issues with the importer. Fixes bug #450209 - Unable to load
	SharpSSH VS 2003 project: "Object reference not set to an instance of
	an object".

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Make it work for parallel build.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AssemblyInfo.cs:
	* AssemblyInfo.cs.in:
	* prj2make-sharp-lib.mdp: Add AssemblyInfo.cs files that are
	autogenerated from the addin manifests.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* prj2make-sharp-lib.addin.xml: Bump MD version.

2008-10-20  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, prj2make-sharp-lib.mdp: Fix build again.

2008-10-20  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, prj2make-sharp-lib.mdp: Fix build.

2008-10-01  Michael Hutchinson <mhutchinson@novell.com> 

	* MsPrjHelper.cs, SilverlightMSBuildProjectExtension.cs,
	  MSBuildProjectServiceExtension.cs: Track API.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* prj2make-sharp-lib.mdp: Updated generated code.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* prj2make-sharp-lib.mdp: Removed some parts of the documentation
	  service.

2008-06-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MsPrjHelper.cs: Track api changes.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* prj2make-sharp-lib.addin.xml: Fix extension paths.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* prj2make-sharp-lib.addin.xml: Bump MD version.

2008-05-23  Lluis Sanchez Gual <lluis@novell.com> 

	* VS2003ProjectFileFormat.cs: Track api changes.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MSBuildProjectServiceExtension.cs: Replaced
	  ICompilerResult/DefaultCompilerResult/CompilerResults by a new
	  BuildResult class, which has owner information at error level, so
	  it is possible to know which project generated an error when
	  building a solution. Updated Task and TaskService to use the new
	  owner information.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* PrjHelper.cs, MsPrjHelper.cs, VS2003ProjectFileFormat.cs,
	  MSBuildProjectServiceExtension.cs, Makefile.am,
	  prj2make-sharp-lib.mdp: New project model changes.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* VS2003SlnFileFormat.cs, VS2003ProjectFileFormat.cs, SlnFileFormat.cs:
	  Worked on gnome hig compliant alerts.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* prj2make-sharp-lib.addin.xml: Update MD version.

2008-01-24  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs: Simplification, AddExtensionNodeHandler calls
	the handler for all existing extensions. Thanks to lluis.

2008-01-24  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs: Read the full list of extensions only at init
	time and handle ExtensionChange.Add correctly.

2008-01-23  Ankit Jain  <jankit@novell.com>

	Fix bug#353042.
	* SlnData.cs (HeaderComment): New.
	(VersionString): New.
	* SlnFileFormat.cs: Retain the header comment string and version and use
	that when writing .sln .

2008-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* prj2make-sharp-lib.addin.xml: Updated add-in category and description.

2008-01-22  Ankit Jain  <jankit@novell.com>

	* MsPrjHelper.cs: Map "Content" to BuildAction.Nothing, better than
	Exclude.

2008-01-22  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs: Add try/catch for event handlers.

2008-01-20  Ankit Jain  <jankit@novell.com>

	* Change Console.WriteLines to LoggingService calls.

2008-01-19  Ankit Jain  <jankit@novell.com>

	* MSBuildProjectExtension.cs (IsLanguage): New.
	(LanguageId): New.
	* DefaultMSBuildProjectExtension.cs: Override the language properties.
	* CSharpMSBuildProjectExtension.cs: Likewise.
	* VBNetMSBuildProjectExtension.cs: Likewise.
	* MSBuildFileFormat.cs (ProjectTypeGuids): Rename to ..
	(LanguageTypeGuids): .. this. Fill this from the extensions.
	* SlnFileFormat.cs: Remove hardcoded .csproj/.vbproj.
	* Utils.cs (GetLanguage): Use the extensions for this.

2008-01-14  Ankit Jain  <jankit@novell.com>

	* VS2003SlnFileFormat.cs: Handle being called in a non-gui mode.

2007-12-21  Miguel de Icaza  <miguel@novell.com>

	* Utils.cs (MapAndResolvePath): this routine only value add was to
	call Path.GetFullPath, the problem is that the internals of
	SlnMaker.MapPath could be internally broken if not fully formed
	internally (in particular when coping with non-existing
	directories and files). 

	* MsPrjHelper.cs (SlnMaker.MapPath): a handful of changes to help
	consumers of this class.   It now always returns paths that are
	Path.GetFullPath processed first.   This just makes the code
	homogenous.

	Uses Directory.GetFileSystemEntries instead of trying to be smart
	about Directories and Files and handling them separatedly, as in
	Unix symlinks are not accounted for (which breaks if the full path
	name contains symlinks).

	It now also handles "..", which avoids the bug of OutputPath
	entries ending up with "../DIR/../DIR/../DIR" as I reported
	privately to Ankit a few days ago. 

	This should fix the Paint.NET 3 problems.

2007-12-18  Ankit Jain  <jankit@novell.com>

	Fix bug #349362
	* CSharpResourceIdBuilder.cs:
	* VBNetResourceIdBuilder.cs: If the source file has no class defined,
	then treat it as if the resource had no dependent source file.
	This also fixes my previous incorrect patch for bug #349099.

2007-12-18  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs (LoadNestedProjects): Handle empty section.

2007-12-17  Ankit Jain  <jankit@novell.com>

	Fix bug #349099.
	* CSharpResourceIdBuilder.cs:
	* VBNetResourceIdBuilder.cs: Allow both class and struct.

2007-12-17  Ankit Jain  <jankit@novell.com>

	* Minor fixes like use String.Empty instead of "" etc.

2007-12-14  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs: Use monitor's Begin/EndTask.
	* SlnFileFormat.cs: Likewise.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MdPrjHelper.cs, DefaultMSBuildProjectExtension.cs, MSBuildFileFormat.cs:
	  Fix warnings.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* prj2make-sharp-lib.addin.xml: Bump add-in versions.

2007-12-11  Ankit Jain  <jankit@novell.com>

	* DefaultMSBuildProjectExtension.cs: Improve error message.

2007-12-11  Ankit Jain  <jankit@novell.com>

	Fix bug #324333.
	* SlnFileFormat.cs (SolutionFolder): New.
	(LoadSolution): Use the new SolutionFolder class for solution folders.

2007-12-07  Ankit Jain  <jankit@novell.com>

	Fix bug #341643.
	* DefaultMSBuildProjectExtension.cs: Set DeployProperties.UseProjectRelativePath
	for all deploy files.
	* MSBuildFileFormat.cs (HandleFilePropertyChanged): Set "CopyToOutputDirectory"
	if build action changed to FileCopy.
	* Makefile.am:
	* prj2make-sharp-lib.mdp: Add reference to MonoDevelop.Deployment project.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* prj2make-sharp-lib.addin.xml, Makefile.am, prj2make-sharp-lib.mdp:
	  Directory reorganization.

2007-11-24  David Makovský (Yakeen) <yakeen@sanyas-on.net> 

	* MSBuildProjectServiceExtension.cs: corected translatable string to
	  support plural forms.	

2007-11-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MsPrjHelper.cs: Fix build. EnableViewState is not used anymore.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* DefaultMSBuildProjectExtension.cs, SlnFileFormat.cs, pkgconfiginvoker.cs,
	  MSBuildFileFormat.cs: Track LoggingService API changes. Remove some
	  Console.WriteLines that were duplicating the logging.

2007-11-02  Lluis Sanchez Gual <lluis@novell.com> 

	* SlnFileFormat.cs: Use RootCombine instead of CurrentOpenCombine when
	  possible.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* prj2make-sharp-lib.addin.xml: Bump MD version.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* prj2make-sharp-lib.mdp: Project file names updated by change in MD path
	  functions.

2007-10-23  Ankit Jain  <jankit@novell.com>

	* SlnData.cs (Guid): Should have enclosing {}.

2007-10-12  Mike Krüger <mkrueger@novell.com> 

	* CSharpResourceIdBuilder.cs, VBNetMSBuildProjectExtension.cs,
	  CSharpMSBuildProjectExtension.cs, DefaultMSBuildProjectExtension.cs,
	  Utils.cs, SlnFileFormat.cs, MSBuildFileFormat.cs: Applied changes that
	  were neccassary for to the new FileService.

2007-10-09  Ankit Jain  <jankit@novell.com>

	* CSharpResourceIdBuilder.cs: Handle localized resources.
	* VBNetResourceIdBuilder.cs: Handle localized resources.
	* Utils.cs (TrySplitResourceName): New.

2007-09-28  Ankit Jain  <jankit@novell.com>

	* MsPrjHelper.cs (GetContents): Set DependsOn to its absolute path.

2007-09-28  Ankit Jain  <jankit@novell.com>

	* DefaultMSBuildProjectExtension.cs (FileToXmlElement): Handle existing
	XmlElements. Update LogicalName and DependentUpon correctly.
	* MSBuildFileFormat.cs (WriteFileInternal): Always update XmlElements for
	project files.
	(HandleFileRenamed): Use FileToXmlElement to correctly update the xml
	element.
	* Utils.cs (RemoveChild): New.

2007-09-27  Ankit Jain  <jankit@novell.com>

	* MSBuildProjectExtension.cs: New.
	* DefaultMSBuildProjectExtension.cs: New.

	Move language specific stuff from MSBuildFileFormat into the respective extensions.
	* CSharpMSBuildProjectExtension.cs: New.
	* VBNetMSBuildProjectExtension.cs: New.
	* SilverlightMSBuildProjectExtension.cs: New.

	* Utils.cs: New. Move utility methods from MSBuildFileFormat to here.
	* MSBuildData.cs (ExtensionChain): New.
	(FlavorPropertiesParent): New.
	(TypeGuids): New.

	* SlnFileFormat.cs: Track api changes.

	* Makefile.am: Update.
	* prj2make-sharp-lib.addin.xml: Update. Add new ExtensionPoint for
	MSBuildProjectExtension.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* prj2make-sharp-lib.addin.xml: Bump MD version.

2007-09-17  Ankit Jain  <jankit@novell.com>

	* MSBuildProjectServiceExtension.cs (GetDefaultResourceId): Split into
	this and ...
	(GetDefaultResourceIdInternal): this. static method.
	* MsPrjHelper.cs (SlnMaker.GetContents): Set resource id using vs.net
	rules.

2007-09-17  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (WriteFileInternal): Emit RootNamespace for
	global config element.

2007-09-17  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (WriteFileInternal): Emit RootNamespace for C#
	also. Derived from patch by Eric Butler <eric@extremeboredom.net>

2007-09-15  Ankit Jain  <jankit@novell.com>

	* MSBuildProject.cs: Remove.
	* MSBuildSolution.cs: Remove.

	* MSBuildFileFormat.cs (GetMSBuildData): New.
	Update to track changes.
	* SlnFileFormat.cs (.cctor): Add handler for HandleAddEntry.
	(GetSlnData): New.
	(HandleAddEntry):
	(SetHandlers):
	(HandleCombineEntryAdded):
	(ConvertToMSBuild): Move here from MSBuildSolution.
	Update to track changes.
	* SlnData.cs (ProjectsByGuid): Move here from MSBuildSolution.
	* MSBuildProjectServiceExtension.cs (GetDefaultResourceId): Override.
	Moved from MSBuildProject to here.

	* MsPrjHelper.cs: Update to use ProjectService.GetDefaultResourceId .
	* VS2003ProjectFileFormat.cs: Update.
	* VS2003SlnFileFormat.cs: Update.

	* Makefile.am: Update.
	* prj2make-sharp-lib.mdp: Update.

2007-09-13  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (ReferenceToXmlElement): Handle invalid assembly
	reference.

2007-09-12  Ankit Jain  <jankit@novell.com>

	Fix bug#82688.
	* MSBuildFileFormat.cs (ReferenceToXmlElement): Set Name for project
	reference only when creating a new element.
	* SlnFileFormat.cs (LoadSolution): Resolve any unresolved project
	references using the project guids.

2007-09-11  Ankit Jain  <jankit@novell.com>

	Fix bug#82736.
	* MSBuildFileFormat.cs (ReadConfig): Unescape OutputPath.

2007-08-23  Ankit Jain  <jankit@novell.com>

	* MSBuildProjectServiceExtension.cs (GenerateXamlPartialClass): Generate
	partial classes with xamlg only if required.

2007-08-22  Ankit Jain  <jankit@novell.com>

	Fix bug #82517.
	* CsprojInfo.cs (LoadPrjFromFile): Use the 'using' pattern for FileStream.
	(.ctor): Rethrow exception.
	* MsPrjHelper.cs (ParseSolution): Add 'monitor' param. Use monitor for
	reporting errors. We stop trying to load the solution if any of the projects
	fail to load.
	(MsSlnHelper): Add 'monitor' param.
	* PrjHelper.cs (MakerMain): Track changes in api.

2007-08-21  AndrÃ©s G. Aragoneses  <knocte@gmail.com>

	Improve fix for bug #82398.
	* MSBuildProjectServiceExtension.cs (GenerateXamlPartialClass): Use MONO_IOMAP=drive,
	and only on Unix.

2007-08-14  Ankit Jain  <jankit@novell.com>

	Fix bug #82398.
	* MSBuildProjectServiceExtension.cs (GenerateXamlPartialClass): Run with
	xamlg with MONO_IOMAP=all.

2007-08-14  Lluis Sanchez Gual <lluis@novell.com> 

	* SlnFileFormat.cs: Small performance improvement in CanReadFile. Added
	  missing null checks in GetSlnFileVersion.

2007-08-13  Ankit Jain  <jankit@novell.com>

	Fix bug #82389
	* MSBuildFileFormat.cs (ReadItemGroups): Handle "CopyToOutputDirectory"
	tag. We support this only for non-build files currently.
	(FileToXmlElement): Emit CopyToOutputDirectory for FileCopy files.

2007-08-13  Ankit Jain  <jankit@novell.com>

	Fix bug #82343.
	* MSBuildFileFormat.cs (WriteFileInternal): Use "\r\n" as new line chars
	to stay compatible with vs2005 project files.
	* SlnFileFormat.cs (WriteFileInternal): Small compatibility fixes.

2007-08-13  Ankit Jain  <jankit@novell.com>

	* MSBuildProjectServiceExtension.cs: Add missing copyright/license.

2007-08-13  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs: Small compatibility fixes.

2007-08-10  Ankit Jain  <jankit@novell.com>

	Fix bug #82394.
	* MSBuildProjectServiceExtension.cs (Build): Abort build if error in
	generating partial classes with xamlg.
	(GenerateXamlPartialClass): Report any errors with CompilerError. Parse
	line/col numbers also.
	(RegexErrorLinePos): New.

2007-08-10  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs: Allow version 10.00 also.
	* MSBuildFileFormat.cs (ReadItemGroup): Handle SilverlightPage
	ItemGroup.
	* MSBuildProjectServiceExtension.cs: New. Handle generation of partial
	classes for SilverlightPages.
	* prj2make-sharp-lib.addin.xml: Add the ProjectServiceExtension.
	* Makefile.am: Update.
	* prj2make-sharp-lib.mdp: Update.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* prj2make-sharp-lib.addin.xml, Makefile.am, prj2make-sharp-lib.mdp:
	  Reorganized the extension point hierarchy. Embedded all add-in manifests
	  as resources.

2007-07-30  Lluis Sanchez Gual <lluis@novell.com> 

	* prj2make-sharp-lib-Commands.cs: Removed unused file.

2007-07-11  Ankit Jain  <jankit@novell.com>

	* prj2make-sharp-lib.addin.xml: Update Name, Description and Authors.

2007-07-10  Ankit Jain  <jankit@novell.com>

	* MsPrjHelper.cs (GetSlnFileVersion): Use static Regex objects -
	SlnFileFormat.SlnVersionRegex and SlnFileFormat.ProjectRegex .
	* VS2003SlnFileFormat (GetSlnFileVersion): Likewise.
	* SlnFileFormat.cs (SlnVersionRegex):
	(ProjectRegex): Make internal.

2007-07-10  Ankit Jain  <jankit@novell.com>

	* MsPrjHelper.cs (projNameInfo):
	(projGuidInfo): Should not be static.
	(ParseSolution): Use 'using' pattern with the StreamReader.
	(CreatePrjxFromCsproj): Use 'using' pattern with the TextFileReader.
	Set the fileName on the project object after it has been read. This
	ensures that in case of unreadable/non-existant file, user gets a useful
	error.

2007-06-18  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (CanonicalizePath): New. Escapes, normalizes and
	converts '/' to '\\' for a path.
	Update code to use this when emitting paths to the *proj file.
	* SlnFileFormat.cs (WriteProjects): Emit path using windows path
	seperator.
	(LoadSolution): Use SlnMaker.MapPath instead of the local copy.
	(MapPath): Remove, unused now.

2007-06-18  Ankit Jain  <jankit@novell.com>

	* MSBuildSolution.cs (NeedsReload): Override. Return false for solution
	folders.

2007-06-18  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (FileToXmlElement): Emit a "Link" element for
	files external to the project.

2007-06-07  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (NormalizeRelativePath): Moved to
	Runtime.FileService .
	* SlnFileFormat.cs: Track api change.
	* CSharpResourceIdBuilder.cs: Track api change.

2007-06-05  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (ReferenceToXmlElement): Handle invalid project
	reference.
	(WriteFileInternal): OptionExplicit and OptionStrict values need to be
	written as On/Off.

2007-06-01  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (ReadItemGroups): Don't ignore resources external
	to the project directory. These now get handled by the *ResourceIdBuilder.
	* CSharpResourceIdBuilder.cs: If the file is external to the project,
	then use only the filename.

2007-06-01  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (ReadItemGroups): If reference name cannot be
	resolved, then try to find the correct case for the assembly name.
	(AssemblyNamesTable): New.

2007-05-31  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs: Don't remove './' from the paths. VS2005 is not
	able to handle paths with '/' but no './' prefix.

2007-05-31  Ankit Jain  <jankit@novell.com>

	Fix #81776.
	* MSBuildFileFormat.cs (Escape): New.
	(Unescape): New.
	MSBuild literals need to be escaped/unescaped.
	Update code to escape/unescape relevant values.

2007-05-29  Ankit Jain  <jankit@novell.com>

	* MsPrjHelper.cs (MapPath): Small optimization. Return path if it
	exists. 

2007-05-24  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs: Remove "./" prefixes from paths before emitting.
	* MSBuildFileFormat.cs: Likewise.
	(NormalizeRelativePath): New. Taken from AutotoolsContext.cs .

2007-05-22  Ankit Jain  <jankit@novell.com>

	* MsPrjHelper.cs (CreatePrjxFromCsproj): Rethrow the exception.
	(MsSlnToCmbxHelper): Likewise.

2007-05-18  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (FileToXmlElement): Ignore directories for
	BuildAction.Compile, return null.
	Update code to avoid adding nulls to ProjectFileElements.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, prj2make-sharp-lib.mdp: Updated.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* prj2make-sharp-lib.addin.xml, Makefile.am: Flush

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* prj2make-sharp-lib.addin.xml, Makefile.am: Migration to Mono.Addins.

2007-05-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Projects/Combine.cs,
	  MonoDevelop.Projects/CombineEntryEventArgs.cs,
	  MonoDevelop.Projects.Parser/DefaultParserService.cs: Added a
	  Reloading property to the argument of the entry add/remove events
	  of Combine, which is set to true if the entry is being only
	  reloaded, not actually removed/added to the combine.

2007-04-27  Ankit Jain  <jankit@novell.com>

	* MSBuildSolution.cs (UpdateProjectReferences): Remove.

2007-04-27  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs (WriteNestedProjects): Add @root param. Nested
	project info should be emitted wrt @root.

2007-04-26  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (GetExportFiles): Implement.
	* SlnFileFormat.cs (GetExportFiles): Implement.

2007-04-26  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (HandleFilePropertyChanged): ProjectFile.DependsOn can
	be null.

2007-04-26  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs (WriteFile): Allow writing for non-root combines
	which don't have a msbuild combine as parent. Convert any non-msbuild
	child projects to msbuild format, and Save all child entries.
	* MSBuildFileFormat.cs (.ctor): Remove .ctor with @language parameter.
	(WriteFileInternal): Always save updated References.
	(ReferenceToXmlElement): Update if element already exists.
	* MSBuildSolution.cs (.cctor): IdeApp.ProjectOperations could be null
	when invoked from command line.
	(HandleAddEntry): Remove call to UpdateProjectReferences.
	(ConvertToMSBuild): Simplify. Change the fileformat, if required, and
	Save.
	* SlnData.cs (.ctor): New constructors for setting the guid.
	* VS2003SlnFileFormat.cs, VS2003ProjectFileFormat.cs: Track api changes.

2007-04-19  Lluis Sanchez Gual <lluis@novell.com> 

	* VS2003SlnFileFormat.cs, VS2003ProjectFileFormat.cs: Track api
	  changes.
	* MSBuildSolution.cs, prj2make-sharp-lib.addin.xml, SlnFileFormat.cs,
	  MSBuildFileFormat.cs: Merge the proj and sln file formats in a
	  single msbuild file format which can handle both types of files.
	* Makefile.am, prj2make-sharp-lib.mdp: Updated.

2007-03-29  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs: Write out list of files and references in
	WriteFile instead of in SaveProject.
	* MSBuildSolution.cs: Cannot convert a non-dotnet project.

2007-03-29  Lluis Sanchez Gual <lluis@novell.com> 

	* VS2003SlnFileFormat.cs, VS2003ProjectFileFormat.cs: VS2003 file
	  format can't write files.
	* prj2make-sharp-lib.mdp: Disable local-copy references.

2007-02-21  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs: Don't swallow exceptions. Catch specific
	exceptions.

2007-02-20  Ankit Jain <jankit@novell.com> 

	* SlnFileFormat.cs: Avoid issuing duplicate warnings.

2007-02-20  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs: Avoid creating unnecessary guids.

2007-02-20 Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs: Don't use the file service for file moves, it might
	have side effects.
	* MSBuildFileFormat.cs: Likwise.
	* VS2003ProjectFileFormat.cs: Add copyright notice.
	* VS2003SlnFileFormat.cs: Likwise.

2007-02-20  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs: Project type guids are per-project type, support
	that.
	(WriteProjects): Add a 'monitor' param.

2007-02-19  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs (WriteFile): Use File.Delete for deleting temporary
	files.
	* MSBuildFileFormat.cs (WriteFile): Likewise.
	(CanReadFile): Use XmlReader.MoveToContent to get to the content nodes.
	(LoadProject): Skip non-element (eg. comment) nodes when looking for
	root.
	* VS2003ProjectFileFormat.cs (CanReadFile): Use XmlReader.MoveToContent to 
	get to the content nodes.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* prj2make-sharp-lib.addin.xml: Change add-in versions to 0.13.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* prj2make-sharp-lib.mdp: Updated.

2007-02-13 Ankit Jain  <jankit@novell.com>

	* VS2003SlnFileFormat.cs: New.
	* VS2003ProjectFileFormat.cs: New.
	* MSBuildProject.cs (GetDefaultResourceIdInternal): Make static.
	* MsPrjHelper.cs (CreatePrjxFromCsproj): Add new overload.
	(MsSlnToCmbxHelper): Likewise.
	Set DefaultNamespace. Set resource id.
	* MSBuildSolution.cs (HandleAddEntry): Handle adding vs2003 sln/project.	
	(ConvertToMSBuild): Make internal.
	(UpdateProjectReferences): Likewise.
	* prj2make-sharp-lib.addin.xml: Remove references to importing VS2003 project.
	Add new file formats.
	* SlnFileFormat.cs: Add null check.
	* MSBuildFileFormat.cs (CanReadFile): Check root element of the *proj file.
	Make condition regex static.
	* prj2make-sharp-lib.mdp, Makefile.am: Sync mdp project with makefile.

2007-02-12 Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs: Make regex objects static.

2007-02-12  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs (CanReadFile): Check sln version.
	(LoadSolution): Likewise. Handle invalid project paths.
	(GetSlnFileVersion): Fix.
	* MSBuildFileFormat.cs (WriteFile): Throw if @node is not a
	DotNetProject.
	(FileToXmlElement): Set DependentUpon only if required.

2007-02-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MsPrjHelper.cs: Use a TextFileReader to open the VS file, since it
	  can auto-detect the file encoding.
	* prj2make-sharp-lib.mdp: Minor update.

2007-02-01  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (ReadItemGroups): Check for invalid paths.
	(GetValidPath): New.

2007-01-27  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (ReferenceToXmlElement): Use System.Reflection to
	get assembly name instead of cecil.
	* Makefile.am: Remove reference to Mono.Cecil .

2007-01-24  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs: Remove use of StreamReader.EndOfStream to be
	compilable with mono 1.1.13.8 

2007-01-20  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs (HandleCombineEntryAdded):
	(SetHandlers):
	(ConvertToMSBuild):
	(UpdateProjectReferences): Move to ..
	* MSBuildSolution.cs: .. here.
	* MSBuildFileFormat.cs (ReadConfig): Fix a warning.

2007-01-19  Ankit Jain  <jankit@novell.com>

	* prj2make-sharp-lib.addin.xml: Add dependency on VBBinding.
	Fix bug #80555.

2007-01-18  Marek Sieradzki  <marek.sieradzki@gmail.com>

	* MsPrjHelper.cs: Remove warning.

2007-01-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MSBuildSolution.cs, SlnFileFormat.cs: Track api changes.

2006-12-28  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs (LoadSolution): Set Version to "0.1". Temporary hack.
	* MSBuildFileFormat.cs (LoadProject): Likewise.

2006-12-27  Ankit Jain  <jankit@novell.com>

	* SlnData.cs (SectionExtras): New.
	* SlnFileFormat.cs (LoadProjectConfigurationMappings): Preserve lines
	that we cannot parse or correspond to projects that could not load.
	(WriteFileInternal): Write lines that we could not parse when reading.

2006-12-26  Ankit Jain  <jankit@novell.com>

	* MSBuildSolution.cs (HandleAddEntry): Fix order of arguments to AskQuestion.

2006-12-26  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs (LoadProjectConfigurationMappings): Update to
	changes.
	(FindCombineConfigurationEntry): Replace with ...
	(GetConfigEntryForProject): ... this. Create the entries if not found.
	(GetConfigEntry): New.

2006-12-22  Ankit Jain  <jankit@novell.com>

	* MSBuildSolution.cs:
	* SlnFileFormat.cs:
	* MSBuildFileFormat.cs:
	Use GettextCatalog.GetString for all user visibile strings, except debug
	output.

2006-12-22  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs (LoadSolution): Preserve the project's sln lines
	if the project loading fails.

2006-12-21  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (SetForNullCondition): New.
	(CheckNullCondition): New.
	New methods to get default values for config and platform.
	(ReadConfig): Add 'default_platform' param.
	(ParseCondition): Left side of the condition decides the number of
	elements returned.
	(SaveProject): Emit elements for default Configuration and Platform, 
	set to "Debug" and "AnyCPU".

2006-12-19  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (WriteFileInternal): Fix typo in writing default
	Platform.

2006-12-18  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs (LoadSolution): Don't overwrite the project name.
	* MSBuildFileFormat.cs (SetupHandlers): Re-enable NameChanged event
	handler.
	(HandleRename): Ignore if the project is not part of a combine.

2006-12-18  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs (LoadProjectConfigurationMappings): Config name can
	have a '.' in it, handle that.

2006-12-18  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs (WriteProjectConfigurations): Temporary workaround
	to allow importing of projects/solutions into a msbuild solution to work.
	Minor refactoring.
	Line numbers are 1-based.

2006-12-18  Ankit Jain  <jankit@novell.com>

	* MSBuildSolution.cs (ProjectsByGuid): New.
	* SlnFileFormat.cs: Treat config names like 'Debug|Any CPU' as the
	config name for md, i.e., don't split. Generate ProjectConfigurationPlatforms
	in the .sln file.
	(WriteFileInternal): Generate SolutionConfigurationPlatforms and
	ProjectConfigurationPlatforms.
	(WriteProjectConfigurations): New.
	(HandleCombineEntryAdded): Add projects from the new combine to the root
	combine's ProjectsByGuid table.
	(LoadSolution): Add project to the guid table. Emit exception message,
	and ReportWarning. Load ProjectConfigurationPlatforms.
	(LoadProjectConfigurationMappings): New.
	(FindCombineConfigurationEntry): New.
	(LoadConfigurations): Rename to ..
	(LoadSolutionConfigurations): .. this.

	* MSBuildFileFormat.cs: Treat 'Debug|Any CPU' as config name, but write
	back correctly to the *proj file.
	(GetConfigName): New.
	(GetConfigPlatform): New.

2006-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* prj2make-sharp-lib.mdp: Added missing files.
	* SlnFileFormat.cs, MSBuildFileFormat.cs: Track changes in the
	  FileService class.

2006-12-15  Ankit Jain  <jankit@novell.com>

	* IResourceIdBuilder.cs: New.
	* CSharpResourceIdBuilder.cs: New.
	* VBNetResourceIdBuilder.cs: New.

	* MSBuildFileFormat.cs: Move MSBuildData and MSBuildProject classes to ..
	* MSBuildData.cs: .. this and ..
	* MSBuildProject.cs: .. this.

	* SlnFileFormat.cs: Move SlnData and MSBuildSolution classes to .. 
	* SlnData.cs: .. this and ..
	* MSBuildSolution.cs : .. this.

	* Makefile.am: Add new files.

2006-12-15  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (GetDefaultResourceIdInternal): Return null if
	no class name is found.

2006-12-15  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (ReadItemGroups): Add a 'monitor' param.
	Resource file cannot be outside the project directory.		
	DependentUpon is relative to the directory of the embedded resource.
	(FileToXmlElement): Write DependentUpon info.
	(HandleFilePropertyChanged): Likewise.

	(MSBuildProject.GetDefaultResourceIdInternal): Build embedded resource
	id when the file depends on a cs file.
	(GetNextCSToken): Very Simple tokenizer for c# files.

2006-12-13  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (ReadConfig): Read Win32Resource.
	(WriteFileInternal): Write Win32Resource.
	(ReadItemGroups): Emit a warning if Include attribute is not found.

2006-12-12  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs (SlnFileFormat.WriteFile): Write to a temporary file
	and if successful, then rename to the intended file.
	Split into this and .. 
	(SlnFileFormat.WriteFileInternal): .. this. Preserve text corresponding
	to projects that we could not load.
	(SlnFileFormat.LoadSolution): Use MSBuildSolution instead of Combine.
	(SlnFileFormat.HandleCombineEntryAdded): Move code for updating project
	references to .. 
	(SlnFileFormat.UpdateProjectReferences): .. here.
	(SlnFileFormat.ConvertToMSBuild): Return CombineEntry. Set file name for solution folder.
	
	(SlnFileFormat.Section): Make it top level class.
	(SlnData): New class.
	(MSBuildSolution): New class.

	* MSBuildFileFormat.cs (MSBuildFileFormat.WriteFile): Write to a temporary file
	and if successful, then rename to the intended file.
	(MSBuildFileFormat.ReadConfig): Read ApplicationIcon also.
	(MSBuildFileFormat.SaveProject): Remove @file param.
	(MSBuildFileFormat.LoadProject): Set project's DefaultNamespace. Use
	MSBuildProject instead of DotNetProject.
	(MSBuildFileFormat.ReferenceToXmlElement): Set the correct guid for a
	project reference.
	(MSBuildFileFormat.FileToXmlElement): For EmbedAsResource, set the
	LogicalName if required (see the comment in the code).
	(MSBuildFileFormat.ReadItemGroups): Add "Content".
	For EmbeddedResource, use LogicalName if available.

	(MSBuildFileFormat.MSBuildProject): New.

2006-12-08  Ankit Jain  <jankit@novell.com>

	* MSBuildFileFormat.cs (WriteFileInternal): Trimming '{', '}' not
	required for new guids.
	Use MSBuildData.Guid for project references.

2006-12-08  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs: Move extra .sln specific info from
	ExtendedProperties to SlnData and store that in the ExtendedProperties.
	* MSBuildFileFormat.cs: Likewise, move to MSBuildData.

2006-12-03  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs (WriteProjects): Add 'baseDirectory' param.
	Path should be relative to solution file's directory.
	(HandleCombineEntryAdded): Emit 'guid' with the project reference.
	Path should be relative to the project's base directory.
	* MSBuildFileFormat.cs (AppendChild): Make internal.

2006-12-03  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs (HandleCombineEntryAdded): Update project references
	after conversion.

2006-12-02  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs (SetHandlers): Add a 'setEntries' param. Setting
	handlers on entries is required when loading from a file.

2006-12-02  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs (SetHandlers): Don't set handlers on contained
	combines. Set *Added handler instead of *Modified.
	(HandleCombineEntryModified): Remove.
	(HandleCombineEntryAdded): New.
	(ConvertToMSBuild): New. Convert a Mds/Mdp based project to msbuild
	format (if required).
	* MSBuildFileFormat.cs (WriteFile): Split into this and ..
	(WriteFileInternal): .. this. Create a new XmlDocument if required.
	(SaveProject): Save a DotNetProject to the corresponding .*proj .
	(LoadProject): Set handlers.
	(SetupHandlers): New.
	(ReferenceToXmlNode): New.
	(FileToXmlNode): New.
	(HandleFileRenamed): New.

2006-11-29  Ankit Jain  <jankit@novell.com>

	* SlnFileFormat.cs: Add basic write/save support.
	* MSBuildFileFormat.cs (WriteFile): OutputPath should be relative.
	(ParseProject): Rename to ..
	(LoadProject): .. this. Set default name of the project.
	Create new config only if it doesn't already exist.	
	(HandleRename): Change the name of the project file when the project is
	renamed.

2006-11-20  Ankit Jain  <jankit@novell.com>

	* MsPrjHelper.cs (MapPath): Make "internal static". Change "\" to "/" only
	if required.
	* prj2make-sharp-lib.add.in.xml: Add extensions for ProjectFileFormats
	and FileFilter.
	* Makefile.am: Add references to MonoDevelop.Components and Mono.Cecil .
	Add MSBuildFileFormat.cs and SlnFileFormat.cs

	* SlnFileFormat.cs: VS2005 solution file support.
	* MSBuildFileFormat.cs: MSBuild project file support.
	Initial commit for support of vs2005 solutions/projects.

2006-11-11 Lluis Sanchez Gual  <lluis@novell.com> 

	* prj2make-sharp-lib.mdp: Build the project using the 2.0 profile.

2006-09-19 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* .: Added svn:ignore for prj2make-sharp-lib.pidb

2006-09-07 Andrés G. Aragoneses  <knocte@gmail.com>

	* prj2make-sharp-lib.addin.xml: Added '2003' version to label so as not to 
	confuse newcomers who may think VS2005 is supported. Of course, this should be 
	removed	when 2005 support is added.

2006-07-03 Lluis Sanchez Gual  <lluis@novell.com> 

	* prj2make-sharp-lib.addin.xml: Updated versions.

2006-05-04 Lluis Sanchez Gual  <lluis@novell.com>

	* prj2make-sharp-lib.addin.xml: Updated versions.
	* prj2make-sharp-lib.mdp: Updated.

2006-03-30 Lluis Sanchez Gual <lluis@novell.com> 

	* prj2make-sharp-lib.addin.xml: Updated references.
	
2006-03-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* Makefile.am: Use an unified format. Patch by Matze Braun.
	* prj2make-sharp-lib.addin.xml: Updated add-in versions.

2006-03-23 Lluis Sanchez Gual  <lluis@novell.com> 

	* prj2make-sharp-lib/MsPrjHelper.cs: Track api changes.

2006-02-19  Andrés G. Aragoneses <knocte@gmail.com>

	* prj2make-sharp-lib.addin.xml: Improved a label string.

2006-01-04  Alexandre Miguel Pedro Gomes <alexmipego@gmail.com>

	* prj2make-sharp-lib.addin.xml: Added icon to "Import VS Solution"
	option.

2005-11-21  Lluis Sanchez Gual  <lluis@novell.com> 

	* MsPrjHelper.cs: Factorized code from getting the location of a package
	in a method. Take into account that the package may not be installed.
	* pkgconfiginvoker.cs: Don't crash if pkg-config returns an error.

2005-11-18  Lluis Sanchez Gual  <lluis@novell.com> 

	* prj2make-sharp-lib.addin.xml: Fixed command placement in menu.

2005-11-10  Lluis Sanchez Gual  <lluis@novell.com> 

	* csproj_ver2003.cs: Fixed some fields (patch by Jim Albert).
	* PrjHelper.cs:	
	* prj2make-sharp-lib-Commands.cs: Show a progress monitor while importing.
	Other minor fixes.
	* MsPrjHelper.cs: Use the MonoDevelop.Projects api to generate the projects.
	Many other bug fixes.
	* prj2make-sharp-lib.addin.xml: Added new dependency.
	* Makefile.am: Added new assembly references.

2005-10-10  Lluis Sanchez Gual  <lluis@novell.com> 

	* prj2make-sharp-lib.addin.xml: Fixed addin header information.
	Use "id" attribuet instead of "name" to identify addins.

2005-10-04  Lluis Sanchez Gual  <lluis@novell.com> 

	* prj2make-sharp-lib.addin.xml: Added addin dependencies.

2005-06-28  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (FILES): Move AssemblyInfo.cs ...
	(GENERATED_FILES): ... here.

2005-04-25  Lluis Sanchez Gual  <lluis@novell.com>

	* prj2make-sharp-lib.addin.xml:
	* prj2make-sharp-lib-Commands.cs: Use the new syntax for defining
	commands and implementing commands.

2005-04-17  John Luke  <john.luke@gmail.com>

	* Makefile.am: fix distcheck

2005-03-18  Francisco "Paco" Martinez <paco@mfcon.com>
	* MsPrjHelpe.cs: 
	Mono 2.0 has been commented out until further notice.
	Gtk# 2.0 is searched first for a match otherwise it goes to Gtk# 1.0
	Added Gecko# 2.0 (0.7) is searched first for a match otherwise it goes to Gecko# 1.0 (0.6)
	
	* MsPrjHelper.cs and MdPrjHelper.cs:
	I also included the changes inside the patch in http://bugzilla.ximian.com/show_bug.cgi?id=73705.

2004-08-07  Todd Berman  <tberman@off.net>

	* AssemblyInfo.cs.in: Use new ASSEMBLY_VERSION variable.

2004-06-17  John Luke  <jluke@cfl.rr.com>

	* Makefile.am: add reference to MonoDevelop.Gui.Widgets
	* *.Makefile: remove generated makefile from svn
	* prj2make-sharp-Commands.cs : use MonoDevelop.Gui.Widgets.FileSelector
	instead of Gtk.FileSelection

2004-06-14  Francisco "Paco" Martinez <paco@mfcon.com>
	
	Changes to correctly specify GAC type references on imported projects from VS .NET csproj files

	Files changed
	* MdPrjHelper.cs 
	* MsPrjHelper.cs
	* Prj2MakeSharp.prjx -- modernized the GAC references
	* PrjxInfo.cs
	* Makefile.am -- include the added pkgconfiginvoker.cs file to the compilation 

	Files added
	* pkgconfiginvoker.cs -- This should be removed or depracated in future releases to avoid duplicity of
	functionality

2004-05-31  Francisco "Paco" Martinez <paco@mfcon.com>

	* src/Addin/prj2make-sharp-lib/MsPrjHelper.cs: corrects problems with
	the import of items flag as content so it will not try to build those

2004-05-17  Todd Berman  <tberman@sevenl.net>

	* prj2make-sharp-lib-Commands.cs: use HOME instead of Personal

2004-04-25  Francisco "Paco" Martinez <paco@mfcon.com>
	Files removed
	* AssemblyInfo.cs -- This file is now generated in the build by
		AssemblyInfo.cs.in

2004-04-25  Francisco "Paco" Martinez <paco@mfcon.com>
	
	Files changed
	* ChangeLog  -- Edited to better reflect the files included in the original import into the repository.
	
	Files added
	* AssemblyInfo.cs
	* AssemblyInfo.cs.in
	* CsprojInfo.cs
	* csproj_ver2003.cs
	* Makefile.am
	* MdPrjHelper.cs
	* MsPrjHelper.cs
	* prj2make-sharp-lib.addin.xml
	* prj2make-sharp-lib.cmbx
	* prj2make-sharp-lib-Commands.cs
	* prj2make-sharp-lib.prjx
	* PrjHelper.cs
	* PrjxInfo.cs
	* sharp_d_cmbx.cs
	* sharp_d_prjx.cs
